Delete an install by ID
DELETE
/installs/{install_id}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/example"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/example';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.wpengineapi.com/v1/installs/example \ --header 'Authorization: Basic <credentials>'This will delete the install, The delete is permanent and there is no confirmation prompt.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” install_id
required
string format: uuid
ID of install
Responses
Section titled “ Responses ”Deleted
Authentication Error
object
message
required
A message regarding the error that occurred on the server
string
Example
Bad Credentials documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Not authorized
object
message
required
A message regarding the error that occurred on the server
string
Example
You don't have permission to perform that action documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Not found
object
message
required
A message regarding the error that occurred on the server
string
Example
Not Found documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Too many requests
Service unavailable